hsm_key_list Struct Reference

`#include <hsm_key.h>`

## Data Fields

db_object_t * | dbo
db_result_list_t * | result_list
const db_result_t * | result
hsm_key_t * | hsm_key
int | object_store
hsm_key_t ** | object_list
size_t | object_list_size
size_t | object_list_position
int | object_list_first
int | associated_fetch
policy_list_t * | policy_id_list

## Detailed Description

A list of hsm key objects.

Definition at line 436 of file hsm_key.h.

## Field Documentation

## associated_fetch

int hsm_key_list::associated_fetch

Definition at line 446 of file hsm_key.h.

Referenced by hsm_key_list_copy(), hsm_key_list_get_by_clauses(), and hsm_key_list_get_by_policy_id().

## dbo

db_object_t* hsm_key_list::dbo

Definition at line 437 of file hsm_key.h.

Referenced by hsm_key_list_begin(), hsm_key_list_free(), hsm_key_list_get_begin(), hsm_key_list_get_by_clauses(), hsm_key_list_get_by_policy_id(), hsm_key_list_get_next(), hsm_key_list_new(), hsm_key_list_new_copy(), and hsm_key_list_next().

## hsm_key

hsm_key_t* hsm_key_list::hsm_key

Definition at line 440 of file hsm_key.h.

Referenced by hsm_key_list_begin(), hsm_key_list_free(), and hsm_key_list_next().

## object_list

hsm_key_t** hsm_key_list::object_list

Definition at line 442 of file hsm_key.h.

Referenced by hsm_key_list_begin(), hsm_key_list_copy(), hsm_key_list_free(), hsm_key_list_get_by_clauses(), hsm_key_list_get_by_policy_id(), and hsm_key_list_next().

## object_list_first

int hsm_key_list::object_list_first

Definition at line 445 of file hsm_key.h.

Referenced by hsm_key_list_copy(), hsm_key_list_get_by_clauses(), hsm_key_list_get_by_policy_id(), and hsm_key_list_next().

## object_list_position

size_t hsm_key_list::object_list_position

Definition at line 444 of file hsm_key.h.

Referenced by hsm_key_list_begin(), hsm_key_list_copy(), and hsm_key_list_next().

## object_list_size

size_t hsm_key_list::object_list_size

Definition at line 443 of file hsm_key.h.

Referenced by hsm_key_list_begin(), hsm_key_list_copy(), hsm_key_list_free(), hsm_key_list_get_by_clauses(), hsm_key_list_get_by_policy_id(), and hsm_key_list_next().

## object_store

int hsm_key_list::object_store

Definition at line 441 of file hsm_key.h.

Referenced by hsm_key_list_begin(), hsm_key_list_copy(), hsm_key_list_get_begin(), hsm_key_list_get_next(), hsm_key_list_next(), and hsm_key_list_object_store().

## policy_id_list

policy_list_t* hsm_key_list::policy_id_list

Definition at line 447 of file hsm_key.h.

Referenced by hsm_key_list_copy(), and hsm_key_list_free().

## result

const db_result_t* hsm_key_list::result

Definition at line 439 of file hsm_key.h.

## result_list

db_result_list_t* hsm_key_list::result_list

Definition at line 438 of file hsm_key.h.

Referenced by hsm_key_list_begin(), hsm_key_list_copy(), hsm_key_list_free(), hsm_key_list_get_begin(), hsm_key_list_get_by_clauses(), hsm_key_list_get_by_policy_id(), hsm_key_list_get_next(), and hsm_key_list_next().

The documentation for this struct was generated from the following file:

- src/db/hsm_key.h